# Groups

Knowledge base groups related API's helps us in getting the details of the groups exist in the platform and manage the groups in platform.

### Attributes&#x20;

| ATTRIBUTE      | TYPE              | DESCRIPTION                                                      |
| -------------- | ----------------- | ---------------------------------------------------------------- |
| baseGroupsLang | JSON Array Object | Information about the base language details such as id,name,code |
| createdBy      | Integer           | Specify the userId who created the group                         |
| dateCreated    | datetime          | Specify group creation date                                      |
| dateUpdated    | datetime          | Specify group updated date                                       |
| id             | Integer           | Specify the id of the group                                      |
| isDefault      | String            | Specify weather it is a default group or not                     |
| name           | String            | Specify name of the group                                        |
| slugKey        | String            | Specify the key of the group                                     |
| status         | String            | Specify the status of the group                                  |
| updatedBy      | Integer           | Specify the useId updated the group                              |
| isSetUp        | String            | Specify the setup status of the group                            |
| customDomain   | String            | Specify the custom domain url of the group                       |

### **Permissions**

To request this endpoint you will need a valid API Key with the knowledge-base access permissions enabled.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.acquire.io/rest-apis/knowledgebase/groups.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
